/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@alum.mit.edu).
 *
 *  Copyright (c) 1997 by The Geometry Center.
 *  This file is part of SaVi.  SaVi is free software;
 *  you can redistribute it and/or modify it only under
 *  the terms given in the file COPYRIGHT which you should
 *  have received along with this file.  SaVi may be
 *  obtained by emailing savi@geom.umn.edu.
 *
 *****************************************************
 *
 * tcl_utils.h
 *
 * $Id: tcl_utils.h,v 1.2 2002/12/27 21:01:38 lloyd Exp $
 */

#ifndef _TCL_UTILS_H_
#define _TCL_UTILS_H_

#ifndef _TK
#include <tk.h>
#endif

Tcl_Interp *interp; /* Interpreter for this application. */

unsigned int tcl_init(Tcl_Interp *);
unsigned int tk_init(Tcl_Interp *);

unsigned int tcl_app_init(void);

unsigned int prepend_to_auto_path(const char []);
unsigned int tcl_script(char []);
unsigned int tk_update(void);

extern unsigned int satCmd(ClientData, Tcl_Interp *, int, char *[]);
extern ClientData get_ClientData(char *);


#endif
/* !_TCL_UTILS_H_ */
